Comment 83 for bug 121653

Elie Charest (archiesteel) wrote :

I don't know if this is a possible fix, but someone posted this on the LKML (and got some flak from kernel devs, since this is a patch to the ATI driver, not to the kernel);

http://www.gossamer-threads.com/lists/linux/kernel/829671

Note that this is for 2.6.23 kernels, but it may work for 2.6.22 kernels as well. Personally, I'm still on Feisty so I can't test it, but if someone who's already on Gutsy wants to rebuild the fglrx driver using these instructions and then report on his/her failure/success, that'd be great!

Here's the geist of it:

--For use with Kernel 2.6.23 (and possibly 2.6.22)

After installing fglrx-kernel-source, but before compiling the kernel module, make the following change in the file firegl_public.h, which is found inside the archive /usr/src/fglrx.tar.bz2, and installed in /usr/src/modules/fglrx/firegl_public.h:

--- firegl_public.h.orig 2007-10-11 23:43:26.000000000 +0200
+++ firegl_public.h 2007-10-11 23:53:08.000000000 +0200
@@ -172,7 +172,7 @@
#endif

#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,0)
-#if !defined(CONFIG_SMP) || defined(CONFIG_SUSPEND_SMP) // ACPI not working on older SMP kernel (prior to 2.6.13)
+#if !defined(CONFIG_SMP) || defined(CONFIG_PM_SLEEP_SMP) // ACPI not working on older SMP kernel (prior to 2.6.13)
#define FIREGL_POWER_MANAGEMENT
#endif
#endif

Then compile. Hopefully, it should work...